- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# yaml – YAML formatted files

- Synopsis
- Parameters
- Status

## Synopsis

- This cache uses YAML formatted, per host, files saved to the filesystem.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_prefix - |  | ini entries: [defaults] fact_caching_prefix = VALUE env:ANSIBLE_CACHE_PLUGIN_PREFIX | User defined prefix to use when creating the files
_timeout integer | Default: 86400 | ini entries: [defaults] fact_caching_timeout = 86400 env:ANSIBLE_CACHE_PLUGIN_TIMEOUT | Expiration timeout for the cache plugin data
_uri - / required |  | ini entries: [defaults] fact_caching_connection = VALUE env:ANSIBLE_CACHE_PLUGIN_CONNECTION | Path in which the cache plugin will save the files

## Status

- This cache is not guaranteed to have a backwards compatible interface. [preview]
- This cache is maintained by the Ansible Community. [community]

### Authors

- Brian Coca (@bcoca)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.